> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token by id

> Returns token entity information given the id



## OpenAPI

````yaml /openapi.yaml get /api/v1/tokens/{tokenId}
openapi: 3.0.3
info:
  title: Mirror Node REST API
  version: 0.154.0
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: >-
    The REST API offers the ability to query transactions and entity information
    from a mirror node.


    Base url: [/api/v1](/api/v1)


    OpenAPI Spec: [/api/v1/docs/openapi.yml](/api/v1/docs/openapi.yml)
  contact:
    name: Mirror Node Team
    email: mirrornode@hedera.com
    url: https://github.com/hiero-ledger/hiero-mirror-node
servers:
  - description: Hedera Mainnet Mirror Node
    url: https://mainnet.mirrornode.hedera.com
  - description: The production REST API servers
    url: '{scheme}://{network}.mirrornode.hedera.com'
    variables:
      scheme:
        default: https
        description: The URI scheme
        enum:
          - http
          - https
      network:
        default: testnet
        description: The Hedera network in use
        enum:
          - mainnet-public
          - mainnet
          - previewnet
          - testnet
security: []
tags:
  - name: accounts
    description: >-
      The accounts object represents the information associated with an account
      entity and returns a list of account information.The accounts list
      endpoint is cached and not updated as frequently as the account lookup by
      a specific ID endpoint.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#accounts
  - name: balances
    description: >-
      The balance object represents the balance of accounts on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#balances
  - name: contracts
    description: >-
      The contracts objects represents the information associated with contract
      entities.The contracts list endpoint is cached and not updated as
      frequently as the contract lookup by a specific ID endpoint.
  - name: schedules
    description: >-
      The schedules object represents the information associated with a schedule
      entity.The schedules list endpoints is cached and not updated as
      frequently as the schedule lookup by a specific ID endpoint.
  - name: transactions
    description: >-
      The transaction object represents the transactions processed on the Hedera
      network.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#transactions
  - name: topics
    description: >-
      The topics object represents the information associated with a topic
      entity and returns topic messages information.
    externalDocs:
      url: >-
        https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api#topic-messages
  - name: tokens
    description: >-
      The tokens object represents the information associated with a token
      entity and returns a list of token information.The tokens list endpoint is
      cached and not updated as frequently as the token lookup by a specific ID.
externalDocs:
  description: REST API Docs
  url: https://docs.hedera.com/guides/docs/mirror-node-api/cryptocurrency-api
paths:
  /api/v1/tokens/{tokenId}:
    get:
      tags:
        - tokens
      summary: Get token by id
      description: Returns token entity information given the id
      operationId: getToken
      parameters:
        - $ref: '#/components/parameters/tokenIdPathParam'
        - $ref: '#/components/parameters/tokenInfoTimestampQueryParam'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenInfo'
              examples:
                FungibleToken:
                  value:
                    admin_key:
                      _type: ProtobufEncoded
                      key: 10101
                    auto_renew_account: 0.1.2
                    auto_renew_period: null
                    created_timestamp: '1234567890.000000001'
                    deleted: false
                    decimals: 1000
                    expiry_timestamp: null
                    freeze_default: false
                    freeze_key:
                      _type: ProtobufEncoded
                      key: 10101
                    initial_supply: 1000000
                    kyc_key:
                      _type: ProtobufEncoded
                      key: 10101
                    max_supply: 9223372036854776000
                    memo: token memo
                    modified_timestamp: '1234567890.000000001'
                    name: Token name
                    pause_key:
                      _type: ProtobufEncoded
                      key: 10101
                    pause_status: UNPAUSED
                    supply_key:
                      _type: ProtobufEncoded
                      key: 10101
                    supply_type: INFINITE
                    symbol: ORIGINALRDKSE
                    token_id: 0.10.1
                    total_supply: 1000000
                    treasury_account_id: 0.1.2
                    type: FUNGIBLE_COMMON
                    wipe_key:
                      _type: ProtobufEncoded
                      key: 10101
                    custom_fees:
                      created_timestamp: '1234567890.000000001'
                      fixed_fees:
                        - amount: 100
                          collector_account_id: 0.1.5
                          denominating_token_id: 0.10.8
                      fractional_fees:
                        - amount:
                            numerator: 12
                            denominator: 29
                          collector_account_id: 0.1.6
                          denominating_token_id: 0.10.9
                          maximum: 120
                          minimum: 30
                          net_of_transfers: true
                NonFungibleToken:
                  value:
                    admin_key:
                      _type: ProtobufEncoded
                      key: 10101
                    auto_renew_account: 0.1.2
                    auto_renew_period: null
                    created_timestamp: '1234567890.000000001'
                    deleted: false
                    decimals: 0
                    expiry_timestamp: null
                    freeze_default: false
                    freeze_key:
                      _type: ProtobufEncoded
                      key: 10101
                    initial_supply: 0
                    kyc_key:
                      _type: ProtobufEncoded
                      key: 10101
                    max_supply: 9223372036854776000
                    memo: token memo
                    modified_timestamp: '1234567890.000000001'
                    name: Token name
                    pause_key:
                      _type: ProtobufEncoded
                      key: 10101
                    pause_status: UNPAUSED
                    supply_key:
                      _type: ProtobufEncoded
                      key: 10101
                    supply_type: INFINITE
                    symbol: ORIGINALRDKSE
                    token_id: 0.10.1
                    total_supply: 1000000
                    treasury_account_id: 0.1.2
                    type: NON_FUNGIBLE_UNIQUE
                    wipe_key:
                      _type: ProtobufEncoded
                      key: 10101
                    custom_fees:
                      created_timestamp: '1234567890.000000001'
                      fixed_fees:
                        - amount: 100
                          collector_account_id: 0.1.5
                          denominating_token_id: 0.10.6
                      royalty_fees:
                        - amount:
                            numerator: 15
                            denominator: 37
                          collector_account_id: 0.1.6
                          fallback_fee:
                            amount: 100
                            denominating_token_id: 0.10.7
        '400':
          $ref: '#/components/responses/InvalidParameterError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  parameters:
    tokenIdPathParam:
      name: tokenId
      in: path
      required: true
      description: Token id
      examples:
        tokenNumAlias:
          value: 1135
        shardRealmTokenNumAlias:
          value: 0.0.000000000000000000000000000000000000046F
        tokenNum:
          value: 1135
        shardRealmTokenNum:
          value: 0.0.1135
      schema:
        $ref: '#/components/schemas/EntityId'
    tokenInfoTimestampQueryParam:
      description: >-
        The Unix timestamp in seconds.nanoseconds format. See
        [unixtimestamp.com](https://www.unixtimestamp.com/) for a simple way to
        convert a date to the 'seconds' part of the Unix time.
      name: timestamp
      in: query
      explode: true
      examples:
        noValue:
          summary: '--'
          value: ''
        secondsNoOperator:
          summary: Example of seconds equals with no operator
          value: 1234567890
        timestampNoOperator:
          summary: Example of timestamp equals with no operator
          value: 1234567890
        secondsEqOperator:
          summary: Example of seconds equals with operator
          value: eq:1234567890
        timestampEqOperator:
          summary: Example of timestamp equals with operator
          value: eq:1234567890.000000200
        secondsLtOperator:
          summary: Example of seconds less than operator
          value: lt:1234567890
        timestampLtOperator:
          summary: Example of timestamp less than operator
          value: lt:1234567890.000000600
        secondsLteOperator:
          summary: Example of seconds less than or equals operator
          value: lte:1234567890
        timestampLteOperator:
          summary: Example of timestamp less than or equals operator
          value: lte:1234567890.000000700
      schema:
        type: string
        pattern: ^((eq|lt|lte):)?\d{1,10}(\.\d{1,9})?$
  schemas:
    TokenInfo:
      type: object
      properties:
        admin_key:
          $ref: '#/components/schemas/Key'
        auto_renew_account:
          $ref: '#/components/schemas/EntityId'
        auto_renew_period:
          example: null
          format: int64
          nullable: true
          type: integer
        created_timestamp:
          $ref: '#/components/schemas/Timestamp'
        decimals:
          type: string
          example: 1000
        deleted:
          type: boolean
          example: true
          nullable: true
        expiry_timestamp:
          description: >-
            The token's expiration time in nanoseconds since the Unix epoch.
            Note that this encoding differs from other entity expiry timestamps
            (e.g., accounts) which use a seconds.nanoseconds string format. This
            inconsistency is a known issue retained for backwards compatibility.
          example: 1234567890100000
          format: int64
          nullable: true
          type: integer
        fee_schedule_key:
          $ref: '#/components/schemas/Key'
        freeze_default:
          type: boolean
          example: false
        freeze_key:
          $ref: '#/components/schemas/Key'
        initial_supply:
          type: string
          example: '1000000'
        kyc_key:
          $ref: '#/components/schemas/Key'
        max_supply:
          type: string
          example: '9223372036854775807'
        metadata:
          description: >-
            Arbitrary binary data associated with this token class encoded in
            base64.
          type: string
          format: byte
        metadata_key:
          allOf:
            - $ref: '#/components/schemas/Key'
            - description: >-
                The key which can change the metadata of a token and individual
                NFTs.
        modified_timestamp:
          $ref: '#/components/schemas/Timestamp'
        name:
          type: string
          example: Token name
        memo:
          type: string
          example: token memo
        pause_key:
          $ref: '#/components/schemas/Key'
        pause_status:
          type: string
          enum:
            - NOT_APPLICABLE
            - PAUSED
            - UNPAUSED
          example: UNPAUSED
        supply_key:
          $ref: '#/components/schemas/Key'
        supply_type:
          type: string
          enum:
            - FINITE
            - INFINITE
          example: INFINITE
        symbol:
          type: string
          example: ORIGINALRDKSE
        token_id:
          $ref: '#/components/schemas/EntityId'
        total_supply:
          type: string
          example: '1000000'
        treasury_account_id:
          $ref: '#/components/schemas/EntityId'
        type:
          type: string
          enum:
            - FUNGIBLE_COMMON
            - NON_FUNGIBLE_UNIQUE
          example: FUNGIBLE_COMMON
        wipe_key:
          $ref: '#/components/schemas/Key'
        custom_fees:
          $ref: '#/components/schemas/CustomFees'
    EntityId:
      type: string
      description: Network entity ID in the format of `shard.realm.num`
      pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
      example: 0.0.2
      nullable: true
    Key:
      description: The public key which controls access to various network entities.
      type: object
      nullable: true
      properties:
        _type:
          type: string
          enum:
            - ECDSA_SECP256K1
            - ED25519
            - ProtobufEncoded
          example: ProtobufEncoded
        key:
          type: string
          example: 15706b229b3ba33d4a5a41ff54ce1cfe0a3d308672a33ff382f81583e02bd743
    Timestamp:
      description: A Unix timestamp in seconds.nanoseconds format
      type: string
      example: '1586567700.453054000'
      pattern: ^\d{1,10}(\.\d{1,9})?$
    CustomFees:
      type: object
      properties:
        created_timestamp:
          $ref: '#/components/schemas/Timestamp'
        fixed_fees:
          type: array
          items:
            $ref: '#/components/schemas/FixedFee'
        fractional_fees:
          type: array
          items:
            $ref: '#/components/schemas/FractionalFee'
        royalty_fees:
          type: array
          items:
            $ref: '#/components/schemas/RoyaltyFee'
    Error:
      type: object
      properties:
        _status:
          type: object
          properties:
            messages:
              type: array
              items:
                type: object
                properties:
                  data:
                    description: Error message in hexadecimal
                    example: '0x3000'
                    format: binary
                    nullable: true
                    pattern: ^0x[0-9a-fA-F]+$
                    type: string
                  detail:
                    description: Detailed error message
                    example: Generic detailed error message
                    nullable: true
                    type: string
                  message:
                    description: Error message
                    example: Generic error message
                    nullable: false
                    type: string
    FixedFee:
      type: object
      properties:
        all_collectors_are_exempt:
          type: boolean
          example: false
          nullable: false
        amount:
          example: 100
          format: int64
          type: integer
        collector_account_id:
          $ref: '#/components/schemas/EntityId'
        denominating_token_id:
          $ref: '#/components/schemas/EntityId'
    FractionalFee:
      type: object
      properties:
        all_collectors_are_exempt:
          type: boolean
          example: false
        amount:
          type: object
          properties:
            numerator:
              example: 12
              format: int64
              type: integer
            denominator:
              example: 29
              format: int64
              type: integer
        collector_account_id:
          $ref: '#/components/schemas/EntityId'
        denominating_token_id:
          $ref: '#/components/schemas/EntityId'
        maximum:
          example: 120
          format: int64
          nullable: true
          type: integer
        minimum:
          example: 30
          format: int64
          type: integer
        net_of_transfers:
          type: boolean
          example: true
    RoyaltyFee:
      type: object
      properties:
        all_collectors_are_exempt:
          type: boolean
          example: false
        amount:
          type: object
          properties:
            numerator:
              example: 15
              format: int64
              type: integer
            denominator:
              example: 37
              format: int64
              type: integer
        collector_account_id:
          $ref: '#/components/schemas/EntityId'
        fallback_fee:
          type: object
          properties:
            amount:
              example: 100
              format: int64
              type: integer
            denominating_token_id:
              $ref: '#/components/schemas/EntityId'
  responses:
    InvalidParameterError:
      description: Invalid parameter
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: 'Invalid parameter: account.id'
                - message: >-
                    Invalid Transaction id. Please use \shard.realm.num-sss-nnn\
                    format where sss are seconds and nnn are nanoseconds
    NotFoundError:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            _status:
              messages:
                - message: Not found

````